.article-item
  display grid
  grid-template-areas 'image' 'title' 'viewing' 
  text-decoration none
  &__title
    grid-area title
    margin-top 8px
    font-weight 500
    text-decoration none
  &__viewing
    grid-area viewing
    display flex
    align-items center
    column-gap 8px
    color var(--color-text)
    +before()
      width 24px
      height 24px
      mask-image maskImage(eye, inner)
      mask-repeat no-repeat
      mask-position center
      mask-size contain
      background-color var(--color-mark)
  &__image
    grid-area image
    overflow hidden
    img
      transition transform 0.3s cubic-bezier(.17,.67,.83,.67)
    +hover()
      img
        transform scale(1.03)
        transition-duration 0.3s
